﻿using C1.Win.C1FlexGrid;
using System;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Windows.Forms;

namespace FlexGrid_PreserveLayout
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            SetDatasource();

            var visibleCols = new string[] { "ID", "Brand", "Category", "Price" };
            foreach (Column col in c1FlexGrid1.Cols)
                col.Visible = visibleCols.Contains(col.Caption);
            c1FlexGrid1.Styles[CellStyleEnum.Alternate].BackColor = Color.IndianRed;
        }

        private void SetDatasource()
        {
            var ds = new DataSet();
            ds.ReadXml("Cars.xml");
            c1FlexGrid1.DataSource = ds;
            c1FlexGrid1.DataMember = "Cars";
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            var layout = c1FlexGrid1.Cols.BuildString(true);
            SetDatasource();
            c1FlexGrid1.Cols.ParseString(c1FlexGrid1, layout);
            c1FlexGrid1.Cols.Remove(c1FlexGrid1.Cols.Count - 1);
        }
    }
}
